aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files.old/lib/firstboot/20_has_mini_fo
diff options
context:
space:
mode:
authorJohn Crispin <blogic@openwrt.org>2013-04-25 19:02:32 +0000
committerJohn Crispin <blogic@openwrt.org>2013-04-25 19:02:32 +0000
commit1940283948acad2081249eaaa5ebb663998de9ad (patch)
tree081ef59391b9859af54a286bc74b9bb533cfcb58 /package/base-files/files.old/lib/firstboot/20_has_mini_fo
parentb605befa7c2584d27795576ba1923e6cdaea3de6 (diff)
downloadupstream-1940283948acad2081249eaaa5ebb663998de9ad.tar.gz
upstream-1940283948acad2081249eaaa5ebb663998de9ad.tar.bz2
upstream-1940283948acad2081249eaaa5ebb663998de9ad.zip
mount_root: prepare base-files
Signed-off-by: John Crispin <blogic@openwrt.org> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36429 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files.old/lib/firstboot/20_has_mini_fo')
-rw-r--r--package/base-files/files.old/lib/firstboot/20_has_mini_fo13
1 files changed, 13 insertions, 0 deletions
diff --git a/package/base-files/files.old/lib/firstboot/20_has_mini_fo b/package/base-files/files.old/lib/firstboot/20_has_mini_fo
new file mode 100644
index 0000000000..8ca6a4fe58
--- /dev/null
+++ b/package/base-files/files.old/lib/firstboot/20_has_mini_fo
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+check_for_overlay() {
+ if ! grep -qE '(mini_fo|overlay)' /proc/filesystems; then
+ boot_run_hook no_fo
+ exit 1
+ fi
+}
+
+boot_hook_add switch2jffs check_for_overlay